#
# spec file for package python-pastel
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pastel
Version:        0.2.1
Release:        2.4
Summary:        String colorization for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/sdispater/pastel
Source:         https://files.pythonhosted.org/packages/source/p/pastel/pastel-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Pastel is a library to colorize strings in the terminal.

%prep
%setup -q -n pastel-%{version}

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitelib}/tests/
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Jul  6 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Sun May 29 2022 Dirk Müller <dmueller@suse.com>
- update to 0.2.1:
  * build system fix
* Wed Mar 11 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.2.0
  * few code formating fixes
  * Add styling options
* Tue Sep 17 2019 Tomáš Chvátal <tchvatal@suse.com>
- Drop the tests folder install as it is not really needed
* Sun Sep 15 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Thu Sep 12 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.1.1
* Sun May 19 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.0
